# include "data.h"

int line (int argc, char **argv) {
  
  Graphdata graphmode;
  float x[2], y[2];

  if (!style_args (&graphmode, &argc, argv, -1)) return FALSE;

  if (argc != 6) {
    gprint (GP_ERR, "USAGE: line <x> <y> to <x> <y>\n");
    return (FALSE);
  }
  x[0] = atof(argv[1]);
  y[0] = atof(argv[2]);
  x[1] = atof(argv[4]);
  y[1] = atof(argv[5]);

  SetGraph (graphmode);

  /* set point style and errorbar mode (these are NOT sticky) */
  graphmode.style = 0;
  graphmode.etype = 0;

  if (!PrepPlotting (2, &graphmode)) return (FALSE);
  
  PlotVector (2, x);
  PlotVector (2, y);
  
  return (TRUE);

}
